Page MenuHomePhabricator

Warn if using + to concat strings
Closed, ResolvedPublic

Description

Triggered by T195645, and the fix in https://gerrit.wikimedia.org/r/#/c/435616/1/tests/phpunit/skins/SkinMinervaTest.php

Flag and fix

'foo' + 'bar'

to

'foo' . 'bar'

Event Timeline

Reedy created this task.May 26 2018, 9:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2018, 9:16 PM
Vvjjkkii renamed this task from Warn if using + to concat strings to o7baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from o7baaaaaaa to Warn if using + to concat strings.Jul 2 2018, 3:41 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 468736 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/tools/codesniffer@master] Add sniff to detect + for string concat

https://gerrit.wikimedia.org/r/468736

Umherirrender triaged this task as Normal priority.

Change 468736 merged by jenkins-bot:
[mediawiki/tools/codesniffer@master] Add sniff to detect + for string concat

https://gerrit.wikimedia.org/r/468736

Umherirrender closed this task as Resolved.Nov 1 2018, 5:52 PM